package com.ss.android.ugc.aweme.im.sdk.chat.data.model;

import X.C1688Im7;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import com.ss.android.ugc.aweme.base.model.UrlModel;
import com.ss.android.ugc.aweme.sharer.ui.SharePackage;
import java.io.Serializable;
import java.util.Collections;
import java.util.List;
import java.util.Map;

public class BaseContent extends C1688Im7 implements PreloadFetcher, Serializable {
    @c(LIZ = "ext")
    public SystemContent extContent;
    @c(LIZ = "is_card")
    public boolean isCard;
    public long mSendStartTime;
    public String msgHint = "";
    @c(LIZ = "prev_id")
    public Long prevId;
    @c(LIZ = "reference_video")
    public ReferenceVideo refVideo;
    @c(LIZ = "root_id")
    public Long rootId;
    @c(LIZ = "aweType")
    public int type;

    static {
        Covode.recordClassIndex(84076);
    }

    public List<UrlModel> fetchPreload() {
        return null;
    }

    public SharePackage generateSharePackage() {
        return null;
    }

    public boolean isValid() {
        return true;
    }

    public void tryInit() {
    }

    public ReferenceVideo getRefVideo() {
        return this.refVideo;
    }

    public int getType() {
        return this.type;
    }

    public Map<String, String> eventParam() {
        return Collections.emptyMap();
    }

    public SystemContent getExtContent() {
        setSystem(this.extContent);
        return this.extContent;
    }

    public String getMsgHint() {
        tryInit();
        return this.msgHint;
    }

    public Long getSendStartTime() {
        return Long.valueOf(this.mSendStartTime);
    }

    public String toString() {
        return getClass().getSimpleName() + "{type=" + this.type + ", prevId=" + this.prevId + ", rootId=" + this.rootId + ", isCard=" + this.isCard + ", refVide=" + this.refVideo + ", extContent=" + this.extContent + ", msgHint='" + this.msgHint + '\'' + ", mSendStartTime=" + this.mSendStartTime + '}';
    }

    public void setRefVideo(ReferenceVideo referenceVideo) {
        this.refVideo = referenceVideo;
    }

    public void setType(int i) {
        this.type = i;
    }

    public String getQuoteHint(Context context) {
        return getMsgHint();
    }

    public void setExtContent(SystemContent systemContent) {
        setSystem(systemContent);
        this.extContent = systemContent;
    }

    public void setSendStartTime(Long l) {
        this.mSendStartTime = l.longValue();
    }

    public void setSystem(SystemContent systemContent) {
        if (systemContent != null) {
            systemContent.setType(100);
        }
    }

    public class ReferenceVideo implements Serializable {
        @c(LIZ = "reference_video_author_secuid")
        public String refVideoAuthorSecUid = "";
        @c(LIZ = "reference_video_author_uid")
        public String refVideoAuthorUid = "";
        @c(LIZ = "reference_video_aweme_type")
        public int refVideoAwemeType = -1;
        @c(LIZ = "reference_video_cover_url")
        public UrlModel refVideoCoverUrl;
        @c(LIZ = "reference_video_id")
        public String refVideoId = "";

        static {
            Covode.recordClassIndex(84077);
        }

        public ReferenceVideo() {
        }
    }

    public static void wrapForward(BaseContent baseContent, long j) {
        if (baseContent != null && j > 0) {
            baseContent.prevId = Long.valueOf(j);
            Long l = baseContent.rootId;
            if (l == null || l.longValue() <= 0) {
                baseContent.rootId = Long.valueOf(j);
            }
        }
    }

    public String wrapMsgHint(boolean z, boolean z2, String str) {
        return getMsgHint();
    }
}
